Subject: Re: bug#11248: Problems with article search Keys in Summary

From: Michael Heerdegen <[email-masked]>
Date: Tue, 25 Dec 2012 19:04:48 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
> >> Are there any icicles-mode commands that are useful in the summary
> >> buffer?
> >
> > Icicles uses M-s M-s as a prefix for all its several search commands -
> > no doubt some of them could indeed be useful in the summary buffer,
> > e.g. M-s M-s l (`icicle-search-lines') or M-s M-s M-s
> > (`icicle-search-generic').
> >
> > But that's not my point.
>
> But that's my point.  If the icicles commands aren't useful in the Gnus
> buffers, then switching icicles on in those buffers is the wrong thing
> to do.

But `icicle-mode' is a _global_ minor mode.  It's typically on for a
whole session.  Users can't use your M-s binding _all_the_time_!

Once you understood that there is really a problem for users, and decide
not to change anything, I'm ok.

> > There are lots of people that use both Gnus and Icicles.  And for all
> > of them, currently `gnus-summary-search-article-forward' is by default
> > not reachable by any key in the summary buffer, and thus e.g. not
> > "discoverable" with C-h b or C-h w.
> >
> > Of course I'm open to other suggestions than mine, but IMHO this binding
> > conflict should be solved in one way or another.
>
> Well, `M-s' isn't going to change in Gnus.  It's been that way
> forever.

Ok, it's your decision.

How about using C-S and C-R as alternative bindings, as I suggested?

Regards,

Michael.